# -*- coding: utf-8 -*-
# Generated by Django 1.11.29 on 2024-01-24 20:43
from __future__ import unicode_literals

from django.db import migrations
from django.db import models


class Migration(migrations.Migration):

    dependencies = [
        ("kolibri_explore_plugin", "0002_backgroundtask"),
    ]

    operations = [
        migrations.CreateModel(
            name="CollectionState",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.SlugField(
                        help_text=(
                            "Collection name. "
                            "Must be unique along with the sequence number"
                        ),
                        max_length=64,
                    ),
                ),
                (
                    "sequence",
                    models.PositiveIntegerField(
                        help_text=(
                            "Collection sequence number. "
                            "Must be unique along with the name"
                        )
                    ),
                ),
                (
                    "language_id",
                    models.CharField(
                        help_text="Collection language.", max_length=15
                    ),
                ),
                (
                    "is_current",
                    models.BooleanField(
                        default=False,
                        help_text=(
                            "Is this the current collection? "
                            "Only one collection can be current."
                        ),
                    ),
                ),
                (
                    "is_extra",
                    models.BooleanField(
                        default=False,
                        help_text=(
                            "An extra collection can't be current. "
                            "Contains extra content for collections of "
                            "same language."
                        ),
                    ),
                ),
                (
                    "title",
                    models.CharField(
                        help_text="Collection title as displayed in the UI.",
                        max_length=64,
                    ),
                ),
                (
                    "subtitle",
                    models.CharField(
                        help_text=(
                            "Collection subtitle as displayed " "in the UI."
                        ),
                        max_length=512,
                    ),
                ),
                (
                    "description",
                    models.CharField(
                        help_text=(
                            "Collection description as displayed " "in the UI."
                        ),
                        max_length=512,
                    ),
                ),
                (
                    "required_gigabytes",
                    models.PositiveIntegerField(
                        default=0,
                        help_text=(
                            "Disk size needed for installing the "
                            "collection."
                        ),
                    ),
                ),
                (
                    "metadata_installed",
                    models.BooleanField(
                        default=False,
                        help_text=(
                            "Whether the metadata of each "
                            "channel in the collection has been installed."
                        ),
                    ),
                ),
                (
                    "thumbnails_installed",
                    models.BooleanField(
                        default=False,
                        help_text=(
                            "Whether the thumbnails of each channel "
                            "in the collection has been installed."
                        ),
                    ),
                ),
                (
                    "content_installed",
                    models.BooleanField(
                        default=False,
                        help_text=(
                            "Whether the content of each channel in "
                            "the collection has been installed."
                        ),
                    ),
                ),
                (
                    "tags_applied",
                    models.BooleanField(
                        default=False,
                        help_text=(
                            "Whether the ExternalContentTag for content "
                            "in the collection has been applied."
                        ),
                    ),
                ),
            ],
        ),
        migrations.AlterUniqueTogether(
            name="collectionstate",
            unique_together=set([("name", "sequence")]),
        ),
    ]
